Page 1 of 1

CROSS POST: Can't start AVD: Cocoa/Java error

Posted: Mon Mar 17, 2014 2:30 pm
by bradborch@live.com
Hi, I get the following error in terminal when trying to start an AVD:

Code: Select all

    Last login: Sun Mar 16 11:47:41 on ttys000
    MuadDib:~ yeldarb$ /Users/yeldarb/Desktop/LiveCode/android-sdk-macosx/tools/android ; exit;
    2014-03-16 11:47:56.619 java[1014:2307] Cocoa AWT: Running on AppKit thread 0 when not expected. (
       0   liblwawt.dylib                      0x000000010c377a13 +[AWTStarter start:swtMode:swtModeForWebStart:] + 231
       1   liblwawt.dylib                      0x000000010c3786c8 JNI_OnLoad + 735
       2   libjava.dylib                       0x00000001077cb509 Java_java_lang_ClassLoader_00024NativeLibrary_load + 207
       3   ???                                 0x0000000108022bd1 0x0 + 4429327313
       4   ???                                 0x0000000108016f98 0x0 + 4429279128
       5   ???                                 0x0000000108017290 0x0 + 4429279888
    )
    2014-03-16 11:47:56.620 java[1014:2307]    Please file a bug report at [edited] with this message and a reproducible test case.

I have installed everything else as described in the video, although I did have to install XQuartz 2.7.5 as it was not already on my system.

Re: CROSS POST: Can't start AVD: Cocoa/Java error

Posted: Mon Mar 17, 2014 2:42 pm
by LCNeil
Hi bradborch,

Please keep your posts to one forum as multiple entries will be removed.

This looks to relate to your System setup and the Android/JDK installation. We might be able to assist but as this is not directly LiveCode related you may find more assistance in the JDK/Android developer forums-

https://groups.google.com/forum/#!forum ... developers

https://www.java.net/forums/jdk

With that being said, what version of the JDK and Android SDK do you have installed?

Kind Regards,


Neil Roger
--
RunRev Support Team ~ http://www.runrev.com
——

Re: CROSS POST: Can't start AVD: Cocoa/Java error

Posted: Mon Mar 17, 2014 3:31 pm
by bradborch@live.com
Neil,

Java SDK? <sheepish look> I must have missed that in your video. I just installed JDK7.51, all is working now.

Thanks,
Brad

Re: CROSS POST: Can't start AVD: Cocoa/Java error

Posted: Mon Mar 17, 2014 3:42 pm
by LCNeil
Hi Brad,

Its great to hear you are up an running :)

Don't worry, it is a very valid point that you have raised and your post should help other coding school attendees that encounter this issue.Newer version of Mac OSX do not come with Java enabled/installed, so you need to download this before this will function.

Kind Regards,


Neil Roger
--
RunRev Support Team ~ http://www.runrev.com
——